View Issue Details

IDProjectCategoryView StatusLast Update
0003765SymmetricDSBugpublic2018-10-31 14:59
ReporterhanesAssigned Tommichalek 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003765: If Sym_table_reload_request's router_id is invalid, a full table load occurs (any 'where' clause is ignored)
DescriptionIf you manually construct an entry into sym_table_reload_request, and your entry's router_id is invalid, any 'where' clause you specified is ignored and the whole table is loaded. SymmetricDS seems to be just picking a valid trigger-router combination that exists for the table but then loading the entire contents (i.e., ignores the where clause).

Not sure what the correct behavior is here. Perhaps log an error in the log and ignore the reload request row? Would seem to require a new status for Processed (i.e., Ignored?)
Steps To ReproduceIn a simple corp-to-store scenario, with an item table which has a column called id, consider:

INSERT INTO "SYM_TABLE_RELOAD_REQUEST" ("TARGET_NODE_ID", "SOURCE_NODE_ID", "TRIGGER_ID", "ROUTER_ID", "CREATE_TIME", "CREATE_TABLE", "DELETE_FIRST", "RELOAD_SELECT", "BEFORE_CUSTOM_SQL", "RELOAD_TIME", "LOAD_ID", "PROCESSED", "CHANNEL_ID", "LAST_UPDATE_BY", "LAST_UPDATE_TIME")
    VALUES ('001', '000', 'item', 'nonexistentrouter', current_timestamp, 0, 0, 'id=''5002''',
    null, null, null, 0, null, null, current_timestamp);

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 b9ec80b9

2018-10-26 12:28:15

mmichalek

Details Diff
0003765: If Sym_table_reload_request's router_id is invalid, a full table load occurs (any 'where' clause is ignored)
0003765
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: 3.9 ed03f8fc

2018-10-29 12:53:18

josh-a-hicks

Details Diff
0003765: If Sym_table_reload_request's router_id is invalid, a full
table load occurs (any 'where' clause is ignored)

0003765
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2018-10-24 09:35 hanes New Issue
2018-10-24 09:36 hanes Status new => confirmed
2018-10-25 11:44 hanes Description Updated View Revisions
2018-10-26 12:29 mmichalek Assigned To => mmichalek
2018-10-26 12:29 mmichalek Status confirmed => resolved
2018-10-26 12:29 mmichalek Resolution open => fixed
2018-10-26 12:29 mmichalek Product Version 3.9.14 => 3.9.0
2018-10-26 12:29 mmichalek Fixed in Version => 3.9.15
2018-10-26 12:29 mmichalek Target Version => 3.9.15
2018-10-26 13:00 mmichalek Changeset attached => SymmetricDS 3.9 b9ec80b9
2018-10-30 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 ed03f8fc
2018-10-31 14:59 mmichalek Status resolved => closed